Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(10)

Issue 693963003: Add minimum TLS version control to about:flags and Finch gate it. (Closed)

Created:
4 years ago by agl
Modified:
4 years ago
CC:
chromium-reviews, cbentzel+watch_chromium.org, asvitkine+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Project:
chromium
Visibility:
Public.

Description

Add minimum TLS version control to about:flags and Finch gate it. This change adds an entry to about:flags to control the minimum TLS version as requested by Darin. This will allow Android and ChromeOS users to reenable SSLv3 in Chrome 40 if they need to. Additionally, this gates the SSLv3 disabling with Finch. At the moment the experiment doesn't actually exist and so will always return the empty string. However, should we need to, we can define it and put everyone in the Enabled group. BUG=427671, 419870 Committed: https://crrev.com/0a4a16346d0a921949ad8f423934350a3b504e70 Cr-Commit-Position: refs/heads/master@{#302754}

Patch Set 1 #

Patch Set 2 : ... #

Total comments: 2

Patch Set 3 : Address rch's comments. #

Patch Set 4 : Fix --ssl-version-min support. #

Patch Set 5 : Add missing comma in ChromeOS code. #

Patch Set 6 : ... #

Unified diffs Side-by-side diffs Delta from patch set Stats (+70 lines, -39 lines) Patch
M chrome/app/generated_resources.grd View 1 chunk +23 lines, -0 lines 0 comments Download
M chrome/browser/about_flags.cc View 1 2 3 4 5 2 chunks +20 lines, -1 line 0 comments Download
M chrome/browser/net/ssl_config_service_manager_pref.cc View 1 2 3 4 chunks +15 lines, -38 lines 0 comments Download
M chrome/common/chrome_switches.h View 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/common/chrome_switches.cc View 1 chunk +7 lines, -0 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 22 (9 generated)
agl
4 years ago (2014-10-31 20:56:05 UTC) #2
Alexei Svitkine (slow)
lgtm
4 years ago (2014-10-31 21:02:14 UTC) #3
agl
+rch, randomly, because rsleevi is away and because the most questionable part is the Finch ...
4 years ago (2014-11-03 22:09:22 UTC) #5
Ryan Hamilton
If you're paranoid, you can run with -force-fieldtrials=SSLv3/Enabled/ to ensure that your code does what ...
4 years ago (2014-11-03 23:02:52 UTC) #6
agl
https://codereview.chromium.org/693963003/diff/20001/chrome/browser/net/ssl_config_service_manager_pref.cc File chrome/browser/net/ssl_config_service_manager_pref.cc (right): https://codereview.chromium.org/693963003/diff/20001/chrome/browser/net/ssl_config_service_manager_pref.cc#newcode279 chrome/browser/net/ssl_config_service_manager_pref.cc:279: base::FieldTrialList::FindFullName("SSLv3"); On 2014/11/03 23:02:52, Ryan Hamilton wrote: > Nit: ...
4 years ago (2014-11-04 19:00:32 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/693963003/40001
4 years ago (2014-11-04 19:02:43 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/693963003/60001
4 years ago (2014-11-04 19:14:32 UTC) #12
commit-bot: I haz the power
Try jobs failed on following builders: linux_gpu_triggered_tests on tryserver.chromium.gpu (http://build.chromium.org/p/tryserver.chromium.gpu/builders/linux_gpu_triggered_tests/builds/76296)
4 years ago (2014-11-04 19:39:56 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/693963003/80001
4 years ago (2014-11-04 19:42:09 UTC) #16
commit-bot: I haz the power
Try jobs failed on following builders: linux_gpu_triggered_tests on tryserver.chromium.gpu (http://build.chromium.org/p/tryserver.chromium.gpu/builders/linux_gpu_triggered_tests/builds/76313)
4 years ago (2014-11-04 20:06:16 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/693963003/50007
4 years ago (2014-11-05 03:15:53 UTC) #20
commit-bot: I haz the power
Committed patchset #6 (id:50007)
4 years ago (2014-11-05 04:17:14 UTC) #21
commit-bot: I haz the power
4 years ago (2014-11-05 04:18:08 UTC) #22
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/0a4a16346d0a921949ad8f423934350a3b504e70
Cr-Commit-Position: refs/heads/master@{#302754}

Powered by Google App Engine
This is Rietveld 408576698